Can't compile latest source code

Developer discussion and patch submissions only!
Forum rules
This forum is for developer discussion and patch submission only.
Post Reply
DougH
Posts: 9
Joined: Fri Sep 23, 2016 12:52 am

Can't compile latest source code

Post by DougH » Fri Apr 14, 2017 3:11 pm

I have a clean install of Ubuntu 16.04 LTS and only installed the necessary packages tobuild the toolchains. The toolchains built successfully without error.

Then I tried building HB from the most recent sources using the following command:

Code: Select all

./configure --cross=x86_64-w64-mingw32 --enable-fdk-aac --enable-x265 --enable-qsv --launch --launch-jobs=1
The make process runs for awhile but then haults after this particular set of instructions:

Code: Select all

set -e; cd ./contrib/cmake/cmake-3.3.2/; CC=/home/douglas/toolchains//mingw-w64-x86_64/bin/x86_64-w64-mingw32-gcc CFLAGS="-I/home/douglas/HandBrake/build/contrib/include -std=gnu99 -mfpmath=sse -msse2 -mno-ms-bitfields" CXX=/home/douglas/toolchains//mingw-w64-x86_64/bin/x86_64-w64-mingw32-g++ CXXFLAGS="-I/home/douglas/HandBrake/build/contrib/include -mfpmath=sse -msse2 -mno-ms-bitfields" CPPFLAGS="-I/home/douglas/HandBrake/build/contrib/include -mfpmath=sse -msse2 -mno-ms-bitfields" LDFLAGS="-L/home/douglas/HandBrake/build/contrib/lib " PKG_CONFIG_PATH="/home/douglas/HandBrake/build/contrib/lib/pkgconfig" ./configure --host=x86_64-w64-mingw32 --build=x86_64-pc-linux-gnu --prefix=/home/douglas/HandBrake/build/contrib/ --no-qt-gui
Unknown option: --host=x86_64-w64-mingw32
../contrib/cmake/module.rules:2: recipe for target 'contrib/cmake/.stamp.configure' failed
The error message is:

Code: Select all

make: *** [contrib/cmake/.stamp.configure] Error 1
time end: Thu Apr 13 22:32:57 2017
duration: 11 minutes, 36 seconds (696.80s)
result: FAILURE (code 2)

drizzle
Posts: 9
Joined: Fri Nov 22, 2013 5:39 pm

Re: Can't compile latest source code

Post by drizzle » Sun Apr 16, 2017 3:26 am

Is cmake present in Ubuntu? If not, try installing cmake in Ubuntu, so Handbrake finds cmake and skips trying to compile its own local copy of cmake (that is failing for you).
sudo apt-get install cmake

You can see the /Handbrake/make/configure.py probing for what tools are present :-
/Handbrake/build/log/config.info.txt and config.verbose.txt

A message like " .. enabling local xxx" indicates Handbrake is compiling its own local copy of tool xxx

Its probably useful to check your Ubuntu also has autoconf, automake, libtool and pkg-config

DougH
Posts: 9
Joined: Fri Sep 23, 2016 12:52 am

Re: Can't compile latest source code

Post by DougH » Sun Apr 16, 2017 2:43 pm

Thank you, that resolved the problem.

Post Reply